【解決済】Nuxt.js が動かない(2019.5.24追記)

追記の追記:
2019.5.24現在、この問題は解消されているようです。

追記:
vue-cli 最新版(2.9.6)がきていたのでアップデートしたら直ったと思いきや直ってませんでした。(2018.6.9)

ちなみにバージョンアップは vue-cli の再インストールでできた。
しかし新規でインストールした Nuxt.js はまた動かない…

npm install -g vue-cli

-------------

$ yarn run dev してもエラーが出るから取り急ぎ解決策??のメモ

ふつうにインストール

vue init nuxt-community/starter-template <project>
cd <project>
yarn install

axios と nuxt-sass-resources-loader をいれる
あとアニメーションとかも使いたいので Waypoints.jsGSAP
ローディング用に imagesLoaded
あとは vue2-touch-events, moment.js

yarn add nuxt-sass-resources-loader axios waypoints gsap imagesloaded vue2-touch-events moment --dev

SCSS と pug も使いたいからインストール
coffeescript も入れてるけど使った試しがない(JSが苦手)

npm install --save-dev pug@2.0.0-beta6 pug-loader coffeescript coffee-loader node-sass sass-loader

ふつうはここまでやったら動くんだけど、なんかよくわかんないエラーが出てローカルサーバーが起動しない(2018.6.1 現在)

# めっちゃエラーでる
$ yarn run dev

新田さんがツイートしてたこれを試してみる

rm -rf node_modules
npm install
npm install prettier@~1.12.1

もういっかい再チャレンジ

yarn run dev

これでうごいた!
なんでエラーが出たのかはわかんないけどしばらくこのかんじでいこうと思いました

追伸:
私ごとですが案件がギリギリでめちゃめちゃ焦ったので新田さんのツイート本当に助かりました…ありがとうございます…🙏🙏🙏

この記事が気に入ったら、サポートをしてみませんか?気軽にクリエイターを支援できます。

1

たか橋

コメントを投稿するには、 ログイン または 会員登録 をする必要があります。